FASTQ-STATS(1)

NAME
fastq-stats - ea-utils: produce lots of easily digested statistics

SYNOPSIS
fastq-stats [options] <fastq-file>

DESCRIPTION
Version: 1.01 $Id: fastq-stats.cpp 652 2013-09-17 17:40:32Z earonesty $

Produces lots of easily digested statistics for the files listed

Options

-c cyclemax: max cycles for which following quality stats are produced [35] -w INT window: max window size for generating duplicate read statistics [2000000] -d debug: prints out debug statements -D don't do duplicate read statistics -s INT number of top duplicate reads to display -x FIL output fastx statistics (requires an output filename) -b FIL output base breakdown by per phred quality at every cycle.

    It sets cylemax to longest read length

-L FIL Output length counts

The following data are printed to stdout:

reads
    : #reads in the fastq file

len : read length. mean and stdev are provided for variable read lengths

phred
    : phred scale used

window-size
    : Number of reads used to generate duplicate read statistics

cycle-max
    : Number of bases to assess for duplicity

dups
    : Number of reads that are duplicates

%dup
    : Pct reads that are duplcate

unique-dup seq
    : Number sequences that are duplicated

min dup count
    : Smallest duplicate tally for any duplicate sequence

dup seq <rank> <count> <sequence>
    : Lists top 10 most frequent duplicate reads along with count mean and stdev

qual
    : Base Quality min, max and mean

%A,%T,%C,%G
    : base percentages

total bases
    : total number of bases